{% extends 'base.html.twig' %}

{% block title %}Favoris{% endblock %}

{% block body %}

<section class="secgames">

    <div class="main">

        {# <pre>
            {{ dump(user.favorites) }}
        </pre>
     #}

        <div class="games">
            {% for favorite in favorites %}
                <div class="game" style="background-image:url({{favorite.image}})"> 
                    <div class="text">
                        <div class="text-content">
                            <h3>{{favorite.title}}</h3>
                            <p>{{favorite.description}}</p>
                            <p>{{ favorite.date|date('d-m-Y') }}</p>
                            <a target='blank' href="{{favorite.url}}"><button>Jouer</button></a>
                        </div>
                    </div>
                    {% if app.user %}
                        <a href='{{path('rates_new', {'id': favorite.id})}}'>Ajouter un commentaire</a><br>
                    {% endif %}
                    <a href='{{path('rates_index', {'id': favorite.id})}}'>Voir tous les commentaires</a>
                </div>
            {% endfor %}
        </div>

        <div class="filters">
            <form action="" method="post">
                <h2>Filtres</h2>
                <div class="groupinput">
                    <h3><label for="title">Titre</label></h3>
                    <input type="text">
                </div>
                <div class="groupinput">
                    <h3><label for="title">Genre</label></h3>
                    {% for type in types %}
                        <p><input type="checkbox" name="" id="">{{type.title}}</p>
                    {% endfor %}

                </div>
                <div class="groupinput">
                    <button>Rechercher</button>
                </div>
            </form>
        </div>
    
    </div>



</section>
{% endblock %}
